import request from '/@/utils/request';
// import type { RequestQuery } from '/@/views/PatientManage/vascularAccess/component/SiteRecord/type';
// RequestQuery type is commented out - file deleted
type RequestQuery = any;
export function listRequestData(params: RequestQuery) {
	return request({
		url: '/patient/hemo/med/cc/positon/loadViewDataByPat',
		method: 'post',
		headers: {
			'Content-Type': 'application/x-www-form-urlencoded',
		},
		params,
	});
}


export function updateRequestDataApi(data: any) {
	return request({
		url: '/patient/hemo/med/cc/positon/update',
		method: 'post',
		data,
	});
}
